<?php
 
session_start();
$com = "A";
include("DMMYSQLG.php");
include("DSA3000.php");
include("DMMYSQLG.php");
require_once("DFJQUERY.inc");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<script language="javascript">
$(document).ready(function(){
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0];
	}
	$("#tap2").autocomplete('CXC10400_AU.php',{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 300,           //alto del cuadro para el scroll
		formatItem:formatItem,	     //formato de presentacion de las posibles busquedas
		extraParams:{tipBus:'d'}     //Parametros Extra a Mandar en autosugestion
	});
});
</script>

<script language="javascript">
function ocultaMuestra(divVent){
	if(divVent.style.display=='none'){
		divVent.style.display='';

	}else{
		divVent.style.display='none';

	}
}	
	</script><body>

<form name="frm1" method="post" action="" enctype="multipart/form-data">
  <p>&nbsp;</p>
  <p>&nbsp;</p>
  <p>&nbsp;</p>
  <table width="648"  align="center">
    <tr>
      <th colspan="2"><div align="center">AGREGAR PROVEEDOR.</div> </th>
    </tr>
    <tr>
      <td width="90"><strong>RAZON SOCIAL.</strong></td>
      <td width="542"><input name="tap2" id="tap2" type="text" tabindex="2"
		  onBlur="may(this)" size="50"
		<?php

			if(isset($_REQUEST['tap2'])){ 
				echo 'value="' . $_REQUEST['tap2'] .  '"';
			}
		?>></td>
    </tr>
  </table>
  <div id="divVent" style="display:">
    <table width="648"  align="center"  >
      <tr>
        <td width="90"><strong>DIRECCION.</strong></td>
        <td width="220"><label>
          <input name="direccion" type="text" id="direccion" size="30"
		  <?php

			if(isset($_REQUEST['direccion'])){ 
				echo 'value="' . $_REQUEST['direccion'] .  '"';
			}
		?>
		  >
        </label></td>
        <td width="110"><strong>NUMERO.</strong></td>
        <td width="200"><label>
          <input name="numero" type="text" id="numero" size="5"
		  <?php

			if(isset($_REQUEST['numero'])){ 
				echo 'value="' . $_REQUEST['numero'] .  '"';
			}
		?>
		  >
        </label></td>
      </tr>
      <tr>
        <td><strong>COLONIA.</strong></td>
        <td><input type="hidden" name="tcol1" id="tcve" value="<?php
echo $_REQUEST['tcve'];?>">
          <input name="tcol" type="text" id="tcol" size="30" value="<?php
echo $_REQUEST['tcol'];?>"></td>
        <td><strong>CODIGO POSTAL. </strong></td>
        <td><input name="tcp" type="text" onKeyPress="return validar(event)" value="<?php
echo $_REQUEST['tcp'];?>" size="15" maxlength="5">
          <input name="?" type="button" value="..." onClick="window.open('DX40000_AG1.php?retPag=CXC10400_AG.php','popuppage','width=750,height=300,top=100,left=50,scrollbars=yes,menubar=yes,status=yes')" ></td>
      </tr>
      <tr>
        <td><strong>PAIS.</strong></td>
        <td><select name="pais" id="pais" onChange="javascript: document.getElementById('frm1').submit()">
          <option value="">------Selecciona------</option>
          <?php
   
		  include("DMMYSQLG.php");
			@$resultado=mysqli_query($con ,"select * from dxpaises");
			if(!isset($_REQUEST['pais'])){
				$dt_paises=mysqli_fetch_array($resultado);
				$selPais=$dt_paises['cve_pais'];
				if(mysqli_num_rows($resultado)>0)
					mysqli_data_seek($resultado,0);		
			}
			else{
				$selPais=$_REQUEST['pais'];
			}
			while($registro=mysqli_fetch_array($resultado)){
				if($selPais==$registro['cve_pais']){
					echo '<option value="' . $registro['cve_pais'] . '" selected>' . $registro['des_pais'] . '</option>';
				}else{
					echo '<option value="' . $registro['cve_pais'] . '">' . $registro['des_pais'] . '</option>';
				}
				
			}			
		?>
        </select></td>
        <td><strong>ESTADO.</strong></td>
        <td><select name="estados" onChange="javascript: document.getElementById('frm1').submit()">
          <option  value="">--Selecciona--</option>
          <?php
  
		@$resultado=mysqli_query($con ,"select * from dxestado where cve_pais='$selPais'");
		if(!isset($_REQUEST['estados'])){
			$dt_estado=mysqli_fetch_array($resultado);
			$selEnt=$dt_estado['cve_estado'];
			if(mysqli_num_rows($resultado)>0)
				mysqli_data_seek($resultado,0);		
		}
		else{
			$selEnt=$_REQUEST['estados'];
		}
		while($registro=mysqli_fetch_array($resultado)){
			if($selEnt==$registro['cve_estado'] ){ 
				echo '<option value="' . $registro['cve_estado'] . '" selected>' . $registro['des_estado'] . '</option>';
			}else{
				echo '<option value="' . $registro['cve_estado'] . '">' . $registro['des_estado'] . '</option>';
			}
			
		}
?>
        </select></td>
      </tr>
      <tr>
        <td><strong>DELEGACION  MUNICIPIO. </strong></td>
        <td colspan="2"><select name="tmun" id="tmun" >
          <option  value="">--Selecciona--</option>
          <?php
 
		@$resultado=mysqli_query($con ,"select * from dxdelmun where cve_estado='$selEnt' and cve_pais='$selPais'");
		if(!isset($_REQUEST['tmun'])){
			$dt_delmun=mysqli_fetch_array($resultado);
			$selDelMun=$dt_delmun['cve_delmun'];
			if(mysqli_num_rows($resultado)>0)
				mysqli_data_seek($resultado,0);		
		}
		else{
			$selDelMun=$_REQUEST['tmun'];
		}
		while(@$registro=mysqli_fetch_array($resultado)){
			if($selDelMun==$registro['cve_delmun']){ 
				echo '<option value="' . $registro['cve_delmun'] . '" selected>' .$registro['des_delmun'] . '</option>';
			}else{
				echo '<option value="' . $registro['cve_delmun'] . '">' . $registro['des_delmun'] . '</option>';
			}
		}
?>
        </select></td>
        <td><div align="center"><strong>OBSERVACIONES.</strong></div></td>
      </tr>
      <tr>
        <td><strong>R.F.C.</strong></td>
        <td colspan="2"><label></label>          <input name="rfc" type="text" id="rfc" size="35"
		<?php

			if(isset($_REQUEST['rfc'])){ 
				echo 'value="' . $_REQUEST['rfc'] .  '"';
			}
		?>
		></td>
        <td rowspan="2">
        <textarea name="observacion" cols="22" rows="3" id="observacion" tabindex="4"
	  onBlur="may(this)"><?php

				if(isset($_POST['observacion'])){ //este es el truco
					echo $_POST['observacion'];
				}
			?></textarea></td>
      </tr>
      <tr>
        <td><strong>CUENTA CONTABLE.</strong></td>
        <td colspan="2"><label>
          <input name="cuenta" type="text" id="cuenta"
		  <?php

			if(isset($_REQUEST['cuenta'])){ 
				echo 'value="' . $_REQUEST['cuenta'] .  '"';
			}
		?>
		  >
        </label></td>
      </tr>
      <tr>
        <td colspan="4"><div align="center">
          <input name="Submit22" type="Button" onClick="openpage('CXC10400_AC.php','_self')" value="Guardar">
          <input type="Button" name="Submit2" value="Regresar" onClick="envia1('CXC10400_PR.php','_self')">
        </div></td>
      </tr>
    </table>
  </div>
</form>
</body>
</html>
<?php
 mysqli_close($con);?>
